Package org.apache.cxf.common.i18n

# Class Message

java.lang.Object
org.apache.cxf.common.i18n.Message

All Implemented Interfaces:
  `Serializable`

public class Message extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Message(String key, Logger logger, Object... params)`
  Constructor.
  `Message(String key, ResourceBundle catalog, Object... params)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  `Object[]`
  `getParameters()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Message

    public Message(String key, Logger logger, Object... params)
    Constructor.
    Parameters:
      `key` - the message catalog (resource bundle) key
      `logger` - a logger with an associated resource bundle
      `params` - the message substitution parameters

  - ### Message

    public Message(String key, ResourceBundle catalog, Object... params)
    Constructor.
    Parameters:
      `key` - the message catalog (resource bundle) key
      `catalog` - the resource bundle
      `params` - the message substitution parameters

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCode

    public String getCode()

  - ### getParameters

    public Object[] getParameters()